/***************************************************************************
                          directoryreader.h  -  description
                             -------------------
    begin                : Son Nov 10 2002
    copyright            : (C) 2002 by Andre Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIRECTORYREADER_H
#define DIRECTORYREADER_H

#include <string>
#include <vector>
#include <iostream>

using namespace std;

/** Contains method to read directoryentries 
  * @author Andre Simon
  */

class DirectoryReader
  {
  public: 
    /** Constructor */
    DirectoryReader();
    /** Destructor */
    ~DirectoryReader();
    /** \param fileList Vector where found entries will be stored
        \param  wildcard Directory path and wildcard
        \param recursiveSearch Test if directory should be searched recursively */
    static bool getEntries(vector<string> &fileList, 
                           string wildcard,
                           bool recursiveSearch=false);
};

#endif
